package Swing1;
import javax.swing.*;
import java.util.*;
import java.awt.event.*;
import java.awt.*;

public class View6 implements Observer
{
    public JTextField result;
    public JTextField input;
    
    public View6(Model2 m) 
    {
        JFrame frame = new JFrame();
	frame.addWindowListener(new WindowCloser());
	
	//Einteilung in Panels:
	JPanel top = new JPanel();
	JPanel center = new JPanel();
	JPanel bottom = new JPanel();
	
	frame.getContentPane().setLayout(new BorderLayout());
	
	frame.getContentPane().add(top, BorderLayout.NORTH);
	frame.getContentPane().add(center, BorderLayout.CENTER);
	frame.getContentPane().add(bottom, BorderLayout.SOUTH);

	//Inhalt des Panels top:
	JLabel ergebnis = new JLabel("Ergebnis:");
	result = new JTextField(10);
	result.setText("0");
	result.setEditable(false);
	
	top.add(ergebnis);
	top.add(result);
	
	//Inhalt des Panels center:
	JLabel eingabe = new JLabel("Eingabe:");
	input = new JTextField(5);
	
	center.add(eingabe);
	center.add(input);
	
	//Inhalt des Panels bottom:
	JButton add = new JButton("add");
	JButton exit = new JButton("exit");
	
	Controller c = new Controller(m, this);
	add.addActionListener(c);
	exit.addActionListener(c);
	
	bottom.add(add);
	bottom.add(exit);
	
	m.addObserver(this);
	
        frame.pack();
        frame.setSize(200,150);
        frame.show();
    }
    
    public void update(Observable o, Object arg)
    {
	Model2 m = (Model2) o;
	result.setText(m.getCollector());
    }
    
    public static void main(String[] args)
    {
        View6 myView = new View6(new Model2());
    }
        
    class WindowCloser extends WindowAdapter
    {
	public void windowClosing(WindowEvent e)
	{
	    System.exit(0);
	}
    }
    
    class Controller implements ActionListener 
    {
	Model2 m;
	View6 v;
	
	public Controller(Model2 m, View6 v) 
	{
	    this.m = m;
	    this.v = v;
	}
	
	public void actionPerformed(ActionEvent event) 
	{
	    String cmd = event.getActionCommand();
	    if (cmd.equals("add"))
		m.add(Integer.parseInt(v.input.getText()));
	    if (cmd.equals("exit"))
		System.exit(0);
	}
    }
}



	

